linux-ec2: 2.6.32-350.60 -proposed tracker

Bug #1119764 reported by Brad Figg on 2013-02-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Luis Henriques
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 08. February 2013 21:06 UTC
kernel-stable-master-bug:1118467
kernel-stable-Certification-testing-end:Friday, 08. February 2013 22:05 UTC
kernel-stable-Prepare-package-end:Tuesday, 12. February 2013 17:05 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 12. February 2013 17:05 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 13. February 2013 21:11 UTC
kernel-stable-Verification-testing-start:Wednesday, 13. February 2013 23:05 UTC
kernel-stable-Security-signoff-start:Thursday, 14. February 2013 10:07 UTC
kernel-stable-Verification-testing-end:Thursday, 14. February 2013 10:06 UTC
kernel-stable-Regression-testing-start:Thursday, 14. February 2013 10:07 UTC
kernel-stable-Security-signoff-end:Friday, 15. February 2013 00:05 UTC
kernel-stable-Promote-to-updates-start:Monday, 18. February 2013 16:05 UTC
kernel-stable-Regression-testing-end:Monday, 18. February 2013 16:04 UTC
kernel-stable-Promote-to-updates-end:Monday, 18. February 2013 18:05 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 18. February 2013 19:06 UTC

This tracking bug was opened to be worked from linux-2.6.32-45.103 update (bug 1118467)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2013-02-08
description: updated
Stefan Bader (smb) on 2013-02-12
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-350.60 -proposed tracker
Stefan Bader (smb) wrote :

Verified that the Xen CVE was not affecting the ec2 kernel (as anticipated) since that currently is based on the "classic" Xen patch.

Luis Henriques (henrix) on 2013-02-12
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Luis Henriques (henrix) wrote :

Package is already ready for -proposed.

Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-02-13
description: updated
Brad Figg (brad-figg) on 2013-02-13
description: updated
Luis Henriques (henrix) wrote :

No SRUs left to be verified; moving to testing.

Brad Figg (brad-figg) on 2013-02-14
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-02-15
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-02-18
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-350.60

---------------
linux-ec2 (2.6.32-350.60) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-45.103
  * Release Tracking Bug
    - LP: #1119764

  [ Ubuntu: 2.6.32-45.103 ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * xen: Fix stack corruption in xen_failsafe_callback for 32bit PVOPS
    guests.
    - LP: #1102374
    - CVE-2013-0190
 -- Stefan Bader <email address hidden> Tue, 12 Feb 2013 14:47:51 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers